admin_panel/urls.py
from django.urls import path, include
from . import views
app_name = 'admin_panel'

urlpatterns = [
    path('shop_list/', views.shop_list, name='shop_list'),
    path('shop_details/<int:shop_id>/', views.shop_details, name='shop_details'),
    path('create_shop/', views.create_shop, name='create_shop'),
    path('create_shop_page/', views.create_shop_page, name='create_shop_page'),
    path('add_ministry/', views.ministry_create, name='add_ministry'),
    path('ministry_list/', views.ministry_list, name='ministry_list'),
    path('update_shop_page/<int:shop_id>/', views.update_shop_page, name='update_shop_page'),
    path('update_shop/<int:shop_id>/', views.update_shop, name='update_shop'),
]

covid19/urls.py
from django.contrib import admin
from django.urls import path, include
from admin_panel import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include('rest_api.urls')),
    path('admin_panel/', include('admin_panel.urls')),
    path('', views.login_page, name='login')
]

admin_panel/models.py
from django.db import models

# Create your models here.

admin_panel/views.py
from django.shortcuts import render, redirect
from django.contrib import messages
from accounts.models import Shop, UserRole, User
from rest_framework.authtoken.models import Token


# Create your views here.


def login_page(request):
    return render(request, 'login.html')


def shop_list(request):
    role = UserRole.objects.get(name='Ministry')
    ministry = User.objects.filter(role_id=role.id)
    shops = Shop.objects.all()
    return render(request, 'shops_list.html', {'shops': shops, 'ministry': ministry})


def shop_details(request, shop_id):
    if request.method == "GET":
        details = Shop.objects.get(id=shop_id)
        context = {
            "shop_details": details
        }
        return render(request, "shop_details.html", context)


def create_shop_page(request):
    return render(request, "create_shop.html")


def ministry_create(request):
    if request.method == "POST":
        try:
            data = request.POST
            phone_number = data.get('country_code') + data.get('phone_number')
            role = UserRole.objects.get(name='Ministry')
            user = User.objects.create(phone_number=phone_number, first_name=data.get('name'),
                                       ministry_oof_health=data.get('ministry_of_health'),
                                       city_name=data.get('city_name'),
                                       role_id=role.id
                                       )
            user.set_password(data.get('password'))
            user.save()
            Token.objects.create(user=user)
            return redirect('admin_panel:ministry_list')
        except Exception as e:
            messages.warning(request, "Form have some error" + str(e))
            return redirect('admin_panel:ministry_list')
    return render(request, 'ministry_create.html')


def ministry_list(request):
    role = UserRole.objects.get(name='Ministry')
    ministry = User.objects.filter(role_id=role.id)
    shops = Shop.objects.all()
    return render(request, 'ministry_list.html', {'ministry': ministry, 'shops': shops})


def update_shop_page(request, shop_id):
    shops = Shop.objects.get(id=shop_id)
    return render(request, 'update_shop.html', {'shops': shops})


def create_shop(request):
    if request.method == "POST":
        try:
            obj = Shop.objects.create(shop_name=request.POST.get('shop_name'),
                                      shop_category=request.POST.get('shop_category'),
                                      health_status=request.POST.get('health_status'),
                                      shop_latitude=request.POST.get('shop_latitude'),
                                      shop_longitude=request.POST.get('shop_longitude'),
                                      address=request.POST.get('address'),
                                      phone_number=request.POST.get('phone'),
                                      country_code=request.POST.get('country_code'))
            shop_pic = request.FILES.get("shop_pic")
            obj.shop_pic = shop_pic
            obj.save()
            return redirect('/admin_panel/shop_list/')
        except Exception as e:
            messages.warning(request, "Form have some error" + str(e))
            return redirect('/admin_panel/shop_list/')


def update_shop(request, shop_id):
    if request.method == "POST":
        try:
            obj = Shop.objects.get(id=shop_id)
            obj.shop_name = request.POST.get('shop_name')
            obj.shop_category = request.POST.get('shop_category')
            obj.health_status = request.POST.get('health_status')
            obj.shop_latitude = request.POST.get('shop_latitude')
            obj.shop_longitude = request.POST.get('shop_longitude')
            obj.phone_number = request.POST.get('phone')
            obj.country_code = request.POST.get('country_code')
            shop_pic = request.FILES.get("shop_pic")
            if shop_pic:
                obj.shop_pic = shop_pic
            obj.save()
            return redirect('/admin_panel/shop_list/')
        except Exception as e:
            messages.warning(request, "Form have some error" + str(e))
            return redirect('/admin_panel/shop_list/')

admin_panel/templates/base_page.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<h1>base</h1>
</body>
</html>

admin_panel/templates/login.html
<!doctype html>
<html class="no-js" lang="en">
<head>
     {% load staticfiles %}
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>Covid19 Ministry</title>

    <link rel="stylesheet" href="{% static 'css/responsive.css' %}">


</head>

<body>
<div class="login-page">

    <div class="form">
        <h3>Ministry Login</h3>
            <input type="text" id="login" placeholder="Phone Number"/>
            <input type="password" id="login_password" placeholder="password"/>
            <button id="sign_in" >login</button>
    </div>
</div>


    <!-- jquery latest version -->
    <script type="text/javascript" src="https://code.jquery.com/jquery-1.11.3.min.js"></script>
    <script>
        $(document).ready(function () {
            $("#sign_in").click(function () {
                var phone_number = $("#login").val();
                var password = $("#login_password").val();
                if(phone_number === ''){
                    alert("Please enter the phone number.")
                    return false;
                }
                if(password === ''){
                    alert("Please enter the password.")
                    return false;
                }
                var QData = {}
                QData.csrfmiddlewaretoken = '{{ csrf_token }}';
                QData.phone_number = phone_number;
                QData.password = password;
                $.ajax({
                    type: 'POST',
                    url: '/api/login/',
                    data: QData,
                    dataType: 'json',
                    success: function (data, msg, err, xhr) {
                        console.log(data)
                        if (data.role == 2){
                            window.location.href = '/admin_panel/shop_list/'
                        }else{
                            alert("You don't have permission to access")
                        }
                    },
                    error: function (xhr, msg, err) {
                        console.log(xhr)
                        if (err === "Bad Request") {
                            $("#error_message_signin").text("")
                            $("#close_signin").css({"display": "block"})
                            var err = JSON.parse(xhr.responseText);
                            if (err["error"] !== undefined) {
                                alert(err["error"])
                                $("#close_signin").css({"display": "block"})
                            }
                        }
                    }
                });
            });
        });
    </script>

</body>

</html>

admin_panel/templates/ministry_list.html
<!DOCTYPE html>
<html>
<title>Covid19 Ministry</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<style>
    html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
    .menu-tag:hover{
        text-decoration: none;
    }
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
    <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
    <span class="w3-bar-item w3-right">Covid19-Ministry Panel</span>
</div>

<!-- Sidebar/menu -->
<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-top:43px;">

    <!-- Header -->
    <header class="w3-container" style="padding-top:22px">
        <h5><b><i class="fa fa-dashboard"></i> My Dashboard</b></h5>
    </header>

    <div class="w3-row-padding w3-margin-bottom">
        <div class="w3-quarter">
            <a href="{% url 'admin_panel:shop_list' %}" class="menu-tag">
                <div class="w3-container w3-red w3-padding-16">
                    <div class="w3-left"><i class="fa fa-shopping-bag w3-xxxlarge"></i></div>
                    <div class="w3-right">
                        <h3>{{ shops|length }}</h3>
                    </div>
                    <div class="w3-clear"></div>
                    <h4>Shops</h4>
                </div>
            </a>
        </div>
        <div class="w3-quarter">
            <a href="{% url 'admin_panel:ministry_list' %}" class="menu-tag">
                <div class="w3-container w3-red w3-padding-16">
                    <div class="w3-left"><i class="fa fa-id-card w3-xxxlarge"></i></div>
                    <div class="w3-right">
                        <h3>{{ ministry|length }}</h3>
                    </div>
                    <div class="w3-clear"></div>
                    <h4>Ministry</h4>
                </div>
            </div>
        </div>
    </div>

    <div class="w3-panel w3-center">
        <div class="w3-row-padding" style="margin:0 -16px">
            <div class="w3-twothird">
                <h3>Ministry List</h3>
            </div>
        </div>
    </div>
    <div class="w3-panel">
        <div class="w3-row-padding" style="margin:0 -16px">
            <div class="w3-twothird">
                <!-- <h5>Shops List</h5> -->
                <a href="{% url 'admin_panel:add_ministry' %}"><button style="margin-bottom: 15px" type="button" class="btn btn-primary btn-lg" >Add New Ministry</button></a>
                <table class="table table-bordered">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">Sr. No.</th>
                        <th scope="col">Name</th>
                        <th scope="col">Phone Number</th>
                        <th scope="col">City</th>
                        <th scope="col">Ministry of Health</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for obj in ministry %}
                        <tr>
                            <th scope="row">{{ forloop.counter }}</th>
                            <td>{{ obj.first_name }}</td>
                            <td>{{ obj.phone_number }}</td>
                            <td>{{ obj.city_name }}</td>
                            <td>{{ obj.ministry_oof_health }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <!-- End page content -->
</div>

<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <form method="POST" action="{% url 'admin_panel:create_shop' %}">
                {% csrf_token %}
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="name">Shop Name:</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="name" name="shop_name" placeholder="Enter Name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="category">Shop Category:</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="category" name="shop_category" placeholder="Enter Category">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="sel1">Select list:</label>
                        <select class="form-control" id="sel1">
                            <option>Healthy</option>
                            <option>Suspicious</option>
                            <option>Mixture</option>
                            <option>Injured</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="category">Address:</label>
                        <div class="col-sm-10">
                            <input type="hidden" id="lat_1" name="shop_latitude">
                            <input type="hidden" id="lng_1" name="shop_longitude">
                            <input type="text" class="form-control" onclick="initialize(1)" id="autocomplete_search-1" name="shop_category" placeholder="Address">
                        </div>
                    </div>
                </div>
                <div class="modal-footer w3-center">
                    <button type="button" class="btn btn-default btn-danger" data-dismiss="modal">Cancel</button>
                    <input type="submit" class="btn btn-default btn-success" value="Submit">
                </div>
            </form>
        </div>

    </div>
</div>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
 <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKLMwSgpyPLp9xNDjt4tELwNGkAdR5qTA
&amp;libraries=places"></script>
<script>
    google.maps.event.addDomListener(window, 'load', initialize);

    function initialize(id) {
            var input_id = document.getElementById('autocomplete_search-' + id);
            if (input_id !== null) {
                var autocomplete = new google.maps.places.Autocomplete(input_id);
                autocomplete.addListener('place_changed', function () {
                    var place = autocomplete.getPlace();
                    {#for (var i = 0; i < place.address_components.length; i++) {#}
                    {#    for (var b = 0; b < place.address_components[i].types.length; b++) {#}
                    {#        //there are different types that might hold a city admin_area_lvl_1 usually does in come cases looking for sublocality type will be more appropriate#}
                    {#        if (place.address_components[i].types[b] == "administrative_area_level_1") {#}
                    {#            //this is the object you are looking for#}
                    {#            city = place.address_components[i];#}
                    {#            $('#state_' + id).val(place.address_components[i]['long_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#        if (place.address_components[i].types[b] == "administrative_area_level_2") {#}
                    {#            city = place.address_components[i];#}
                    {#            $('#city_' + id).val(place.address_components[i]['long_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#        if (place.address_components[i].types[b] == "postal_code") {#}
                    {#            zip_code = place.address_components[i];#}
                    {#            $('#zip_code_' + id).val(place.address_components[i]['short_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#    }#}
                    //{#}#}
                    // place variable will have all the information you are looking for.
                    $('#lat_' + id).val(place.geometry['location'].lat());
                    $('#lng_' + id).val(place.geometry.location.lng());
                });
            }
        }

</script>

</body>
</html>

admin_panel/templates/shops_list.html
<!DOCTYPE html>
<html>
<title>Covid19 Ministry</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<style>
    html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
    .menu-tag:hover{
        text-decoration: none;
    }
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
    <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
    <span class="w3-bar-item w3-right">Covid19-Ministry Panel</span>
</div>

<!-- Sidebar/menu -->
<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-top:43px;">

    <!-- Header -->
    <header class="w3-container" style="padding-top:22px">
        <h5><b><i class="fa fa-dashboard"></i> My Dashboard</b></h5>
    </header>

    <div class="w3-row-padding w3-margin-bottom">
        <div class="w3-quarter">
            <a href="{% url 'admin_panel:shop_list' %}" class="menu-tag">
                <div class="w3-container w3-red w3-padding-16">
                    <div class="w3-left"><i class="fa fa-shopping-bag w3-xxxlarge"></i></div>
                    <div class="w3-right">
                        <h3>{{ shops|length }}</h3>
                    </div>
                    <div class="w3-clear"></div>
                    <h4>Shops</h4>
                </div>
            </a>
        </div>
        <div class="w3-quarter">
            <a href="{% url 'admin_panel:ministry_list' %}" class="menu-tag">
                <div class="w3-container w3-red w3-padding-16">
                    <div class="w3-left"><i class="fa fa-id-card w3-xxxlarge"></i></div>
                    <div class="w3-right">
                        <h3>{{ ministry|length }}</h3>
                    </div>
                    <div class="w3-clear"></div>
                    <h4>Ministry</h4>
                </div>
            </div>
        </div>
    </div>

    <div class="w3-panel w3-center">
        <div class="w3-row-padding" style="margin:0 -16px">
            <div class="w3-twothird">
                <h3>Shop List</h3>
            </div>
        </div>
    </div>
    <div class="w3-panel">
        <div class="w3-row-padding" style="margin:0 -16px">
            <div class="w3-twothird">
                <!-- <h5>Shops List</h5> -->
                <a href="{% url 'admin_panel:create_shop_page' %}"><button style="margin-bottom: 15px" type="button" class="btn btn-primary btn-lg" >Add New Shop</button></a>
                <table class="table table-bordered">
                    <thead class="thead-dark">
                    <tr>
                        <th scope="col">Sr. No.</th>
                        <th scope="col">Shop Name</th>
                        <th scope="col">Category</th>
                        <th scope="col">Status</th>
                        <th scope="col">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for shop in shops %}
                        <tr>
                            <th scope="row">{{ forloop.counter }}</th>
                            <td>{{ shop.shop_name }}</td>
                            <td>{{ shop.shop_category }}</td>
                            <td>{{ shop.health_status }}</td>
                            <td>
                                <a href="{% url 'admin_panel:update_shop_page' shop.id %}" class="btn btn-primary waves-effect" title="Edit"><i class="fa fa-pencil"></i></a>
                                <a href="{% url 'admin_panel:shop_details' shop.id %}" class="btn btn-danger waves-effect" title="Details"><i class="fa fa-list"></i></a>
                                <a href="#" class="btn btn-success waves-effect" title="Delete"><i class="fa fa-trash-o"></i></a>
                            </td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <!-- End page content -->
</div>

<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <form method="POST" action="{% url 'admin_panel:create_shop' %}">
                {% csrf_token %}
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="name">Shop Name:</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="name" name="shop_name" placeholder="Enter Name">
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="category">Shop Category:</label>
                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="category" name="shop_category" placeholder="Enter Category">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="sel1">Select list:</label>
                        <select class="form-control" id="sel1">
                            <option>Healthy</option>
                            <option>Suspicious</option>
                            <option>Mixture</option>
                            <option>Injured</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-sm-4" for="category">Address:</label>
                        <div class="col-sm-10">
                            <input type="hidden" id="lat_1" name="shop_latitude">
                            <input type="hidden" id="lng_1" name="shop_longitude">
                            <input type="text" class="form-control" onclick="initialize(1)" id="autocomplete_search-1" name="shop_category" placeholder="Address">
                        </div>
                    </div>
                </div>
                <div class="modal-footer w3-center">
                    <button type="button" class="btn btn-default btn-danger" data-dismiss="modal">Cancel</button>
                    <input type="submit" class="btn btn-default btn-success" value="Submit">
                </div>
            </form>
        </div>

    </div>
</div>

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
        integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
        crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
 <script type="text/javascript" src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBKLMwSgpyPLp9xNDjt4tELwNGkAdR5qTA
&amp;libraries=places"></script>
<script>
    google.maps.event.addDomListener(window, 'load', initialize);

    function initialize(id) {
            var input_id = document.getElementById('autocomplete_search-' + id);
            if (input_id !== null) {
                var autocomplete = new google.maps.places.Autocomplete(input_id);
                autocomplete.addListener('place_changed', function () {
                    var place = autocomplete.getPlace();
                    {#for (var i = 0; i < place.address_components.length; i++) {#}
                    {#    for (var b = 0; b < place.address_components[i].types.length; b++) {#}
                    {#        //there are different types that might hold a city admin_area_lvl_1 usually does in come cases looking for sublocality type will be more appropriate#}
                    {#        if (place.address_components[i].types[b] == "administrative_area_level_1") {#}
                    {#            //this is the object you are looking for#}
                    {#            city = place.address_components[i];#}
                    {#            $('#state_' + id).val(place.address_components[i]['long_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#        if (place.address_components[i].types[b] == "administrative_area_level_2") {#}
                    {#            city = place.address_components[i];#}
                    {#            $('#city_' + id).val(place.address_components[i]['long_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#        if (place.address_components[i].types[b] == "postal_code") {#}
                    {#            zip_code = place.address_components[i];#}
                    {#            $('#zip_code_' + id).val(place.address_components[i]['short_name'])#}
                    {#            break;#}
                    {#        }#}
                    {#    }#}
                    //{#}#}
                    // place variable will have all the information you are looking for.
                    $('#lat_' + id).val(place.geometry['location'].lat());
                    $('#lng_' + id).val(place.geometry.location.lng());
                });
            }
        }

</script>

</body>
</html>